Bug 371221 - (CVE-2007-5395) CVE-2007-5395 link-grammar buffer overflow in tokenize.c
CVE-2007-5395 link-grammar buffer overflow in tokenize.c
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=vendorsec,reported=20071023,pu...
: Security
Depends On: 372341 372351 372361
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 09:12 EST by Tomas Hoger
Modified: 2007-11-14 22:37 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.2.5-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 19:06:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (2.79 KB, patch)
2007-11-12 05:02 EST, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2007-11-08 09:12:47 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-5395 to the following vulnerability:

Stack-based buffer overflow in the separate_word function in tokenize.c in Link Grammar 4.1b and possibly other versions, as used in AbiWord Link Grammar 4.2.4, allows remote attackers to execute arbitrary code via a long word, as reachable through the separate_sentence function.

References:

http://secunia.com/secunia_research/2007-78/advisory/
http://secunia.com/secunia_research/2007-79/advisory/
http://secunia.com/advisories/27300
http://secunia.com/advisories/27340
Comment 2 Tomas Hoger 2007-11-12 05:02:27 EST
Created attachment 255061 [details]
Upstream patch
Comment 3 Marc Maurer 2007-11-12 14:07:13 EST
I sent a 4.2.5 package to koji, which is pending approval to be pushed.
Comment 4 Fedora Update System 2007-11-12 19:06:54 EST
link-grammar-4.2.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2007-11-14 22:37:06 EST
link-grammar-4.2.5-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.